import log from '../dxmodules/dxLogger.js';
import map from '../dxmodules/dxMap.js'
import * as os from "os";


//Get Instance
let map1 = map.get("aaa")

//Put data
let res = map1.put("key1", "value1")
log.info('Add data for key1: ', res);

//Get data
res = map1.get("key1")
log.info('key1 obtained: ', res);

//Delete data
res = map1.del('key1')
log.info('Deletion results: ',res)
log.info('Get key1 after deletion: ', map1.get("key1"));

map1.put("key1", "value1")
map1.put("key2", "value2")
map1.put("key3", "value3")
map1.put("key4", "value4")
map1.put("key5", "value5")
//Get all keys in the map under the instance
log.info('Retrieve all content under instance aaa: ', JSON.stringify(map1.keys()))